Skip to main content
PATCH
/
webhooks
/
{webhookId}
Update a webhook
curl --request PATCH \
  --url https://api.tally.so/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "formId": "<string>",
  "url": "<string>",
  "eventTypes": [
    "FORM_RESPONSE"
  ],
  "isEnabled": true,
  "signingSecret": "<string>",
  "httpHeaders": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ]
}
'
import requests

url = "https://api.tally.so/webhooks/{webhookId}"

payload = {
"formId": "<string>",
"url": "<string>",
"eventTypes": ["FORM_RESPONSE"],
"isEnabled": True,
"signingSecret": "<string>",
"httpHeaders": [
{
"name": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
formId: '<string>',
url: '<string>',
eventTypes: ['FORM_RESPONSE'],
isEnabled: true,
signingSecret: '<string>',
httpHeaders: [{name: '<string>', value: '<string>'}]
})
};

fetch('https://api.tally.so/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookId
string
required

The ID of the webhook to update

Body

application/json
formId
string
required

The ID of the form the webhook is for

url
string
required

The URL to send webhook events to

eventTypes
enum<string>[]
required

Types of events to receive

Available options:
FORM_RESPONSE
isEnabled
boolean
required

Whether the webhook is enabled

signingSecret
string | null

Optional secret used to sign webhook payloads

httpHeaders
object[] | null

Optional custom HTTP headers to include in webhook requests

Response

Webhook updated successfully